# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

# The title of the experiment should be kept in English as it may be referenced
# by various online articles and is technical in nature.
experimental-features-css-masonry2 =
    .label = CSS: Masonry Layout
experimental-features-css-masonry-description = เปิดใช้งานการรองรับคุณลักษณะ CSS Masonry Layout ทดลอง ดูที่<a data-l10n-name="explainer">ตัวอธิบาย</a>สำหรับคำอธิบายระดับสูงของคุณลักษณะ หากต้องการให้คำติชม โปรดแสดงความคิดเห็นใน<a data-l10n-name="w3c-issue">ปัญหา GitHub นี้</a>หรือ<a data-l10n-name="bug">บั๊กนี้</a>

# The title of the experiment should be kept in English as it may be referenced
# by various online articles and is technical in nature.
experimental-features-web-gpu2 =
    .label = Web API: WebGPU
experimental-features-web-gpu-description2 = API ใหม่นี้จัดเตรียมการรองรับการคำนวณและการแสดงผลกราฟิกโดยใช้<a data-l10n-name="wikipedia">หน่วยประมวลผลกราฟิก (GPU)</a> ของอุปกรณ์หรือคอมพิวเตอร์ของผู้ใช้ <a data-l10n-name="spec">ข้อมูลจำเพาะ</a>ยังคงอยู่ระหว่างดำเนินการ ดู <a data-l10n-name="bugzilla">bug 1602129</a> สำหรับรายละเอียดเพิ่มเติม

# The title of the experiment should be kept in English as it may be referenced
# by various online articles and is technical in nature.
experimental-features-media-jxl =
    .label = สื่อ: JPEG XL
experimental-features-media-jxl-description = เมื่อคุณสมบัตินี้ถูกเปิดใช้งาน { -brand-short-name } จะสามารถรองรับรูปภาพรูปแบบ JPEG XL (JXL) โดยไฟล์รูปภาพที่อยู่ในรูปแบบที่ดีขึ้นนี้สามารถรองรับการแปลงโดยไม่มีการลดทอนคุณภาพจากไฟล์ JPEG แบบเดิมได้ ดูที่ <a data-l10n-name="bugzilla">บั๊ก 1539075</a> สำหรับรายละเอียดเพิ่มเติม

# The title of the experiment should be kept in English as it may be referenced
# by various online articles and is technical in nature.
experimental-features-css-constructable-stylesheets =
    .label = CSS: Constructable Stylesheets
experimental-features-css-constructable-stylesheets-description = การเพิ่มตัวสร้างไปยังอินเทอร์เฟซ <a data-l10n-name="mdn-cssstylesheet">CSSStyleSheet</a> รวมทั้งการเปลี่ยนแปลงที่เกี่ยวข้องต่าง ๆ ทำให้สามารถสร้างสไตล์ชีตใหม่ได้โดยตรงโดยไม่ต้องเพิ่มชีตไปยัง HTML วิธีนี้ทำให้การสร้างสไตล์ชีตที่ใช้ซ้ำได้สำหรับใช้กับ <a data-l10n-name="mdn-shadowdom">Shadow DOM</a> ได้ง่ายขึ้น ดู <a data-l10n-name="bugzilla">bug 1520690</a> สำหรับรายละเอียดเพิ่มเติม

experimental-features-devtools-compatibility-panel =
    .label = เครื่องมือนักพัฒนา: แผงความเข้ากันได้
experimental-features-devtools-compatibility-panel-description = แผงด้านข้างสำหรับ “ตัวตรวจสอบเพจ” ที่จะแสดงข้อมูลที่ระบุรายละเอียดเกี่ยวกับสถานะความเข้ากันได้ข้ามเบราว์เซอร์ของแอปของคุณ ดู <a data-l10n-name="bugzilla">bug 1584464</a> สำหรับรายละเอียดเพิ่มเติม

# Do not translate 'SameSite', 'Lax' and 'None'.
experimental-features-cookie-samesite-lax-by-default2 =
    .label = คุกกี้: SameSite=Lax ตามค่าเริ่มต้น
experimental-features-cookie-samesite-lax-by-default2-description = ถือคุกกี้เป็น “SameSite=Lax” ตามค่าเริ่มต้นหากไม่ได้ระบุแอตทริบิวต์ “SameSite” ใด  นักพัฒนาต้องเลือกใช้สถานะปัจจุบันของการใช้งานที่ไม่ถูกจำกัด โดยยืนยันอย่างชัดเจนว่า “SameSite=None”

# Do not translate 'SameSite', 'Lax' and 'None'.
experimental-features-cookie-samesite-none-requires-secure2 =
    .label = คุกกี้: SameSite=None ต้องการแอตทริบิวต์ secure
experimental-features-cookie-samesite-none-requires-secure2-description = คุกกี้ที่มีแอตทริบิวต์ “SameSite=None” ต้องการแอตทริบิวต์ที่ปลอดภัย คุณลักษณะนี้ต้องการ “คุกกี้: SameSite=Lax ตามค่าเริ่มต้น”

# about:home should be kept in English, as it refers to the the URI for
# the internal default home page.
experimental-features-abouthome-startup-cache =
    .label = แคชเมื่อเริ่มการทำงานของ about:home
experimental-features-abouthome-startup-cache-description = แคชสำหรับเอกสาร about:home เริ่มต้นที่จะถูกโหลดตามค่าเริ่มต้นเมื่อเริ่มการทำงาน วัตถุประสงค์ของแคชคือเพื่อปรับปรุงประสิทธิภาพการเริ่มการทำงาน

# The title of the experiment should be kept in English as it may be referenced
# by various online articles and is technical in nature.
experimental-features-cookie-samesite-schemeful =
    .label = คุกกี้: Schemeful SameSite
experimental-features-cookie-samesite-schemeful-description = ถือคุกกี้ที่มาจากโดเมนเดียวกัน แต่มีแบบแผนที่แตกต่างกัน (เช่น http://example.com และ https://example.com) เป็นแบบข้ามไซต์แทนที่จะเป็นแบบไซต์เดียวกัน ซึ่งจะปรับปรุงเรื่องความปลอดภัย แต่อาจมีปัญหาได้

# "Service Worker" is an API name and is usually not translated.
experimental-features-devtools-serviceworker-debugger-support =
    .label = เครื่องมือนักพัฒนา: การดีบั๊ก Service Worker
# "Service Worker" is an API name and is usually not translated.
experimental-features-devtools-serviceworker-debugger-support-description = เปิดใช้งานการสนับสนุนแบบทดลองสำหรับ Service Worker ในแผง "ตัวดีบั๊ก" คุณลักษณะนี้อาจทำให้เครื่องมือนักพัฒนาทำงานช้าลงและเพิ่มการใช้หน่วยความจำ

# WebRTC global mute toggle controls
experimental-features-webrtc-global-mute-toggles =
    .label = WebRTC Global Mute Toggles
experimental-features-webrtc-global-mute-toggles-description = เพิ่มตัวควบคุมลงในตัวบ่งชี้การใช้ร่วมกันส่วนกลางของ WebRTC ซึ่งทำให้ผู้ใช้สามารถปิดเสียงไมโครโฟนและฟีดกล้องแบบส่วนกลางได้

# JS JIT Warp project
experimental-features-js-warp =
    .label = JavaScript JIT: Warp
experimental-features-js-warp-description = เปิดใช้งาน Warp ซึ่งเป็นโครงการในการปรับปรุงประสิทธิภาพของ JavaScript และการใช้หน่วยความจำ

# Search during IME
experimental-features-ime-search =
    .label = แถบที่อยู่: แสดงผลลัพธ์ระหว่างการแปลงตัวอักษรของ IME
experimental-features-ime-search-description = IME (Input Method Editor) เป็นเครื่องมือที่ให้คุณสามารถป้อนสัญลักษณ์ที่ซับซ้อน เช่น สัญลักษณ์ที่ใช้ในภาษาเขียนในแถบเอเชียตะวันออกหรือภาษาเขียนในอินเดีย โดยใช้แป้นพิมพ์มาตรฐานได้ การเปิดใช้งานคุณลักษณะทดลองนี้จะทำให้แผงแถบที่อยู่เปิดเสมอ โดยจะแสดงผลลัพธ์การค้นหาและข้อเสนอแนะการค้นหา ในขณะที่ใช้ IME ในการป้อนข้อความ โปรดทราบว่า IME อาจแสดงผลแผงที่อาจปิดบังผลลัพธ์ในแถบที่อยู่ได้ จึงแนะนำให้ใช้ค่ากำหนดนี้สำหรับ IME ที่ไม่ได้ใช้แผงชนิดนี้เท่านั้น

